Name: x11-driver-input-evdev
Version: 2.10.6
Release: %mkrel 3
Summary: X.org input driver for Linux generic event devices
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/archive/individual/driver/xf86-input-evdev-%{version}.tar.bz2

License: MIT

BuildRequires: pkgconfig(libevdev)
BuildRequires: pkgconfig(mtdev)
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: pkgconfig(udev)
Requires: x11-server-common %(xserver-sdk-abi-requires xinput)

Conflicts: x11-server < 1.4

Obsoletes: imwheel
Obsoletes: x11-driver-input-keyboard
Obsoletes: x11-driver-input-mouse

%description
Evdev is an Xorg input driver for Linux's generic event devices.
It therefore supports all input devices that the kernel knows about,
including most mice and keyboards.


%package devel
Summary: Development files for %{name}
Group: Development/X11
License: MIT

%description devel
Development files for %{name}

%prep
%setup -q -n xf86-input-evdev-%{version}
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%files
%doc COPYING
%{_libdir}/xorg/modules/input/evdev_drv.so
%{_mandir}/man4/evdev.4*
%{_datadir}/X11/xorg.conf.d/10-evdev.conf

%files devel
%doc COPYING
%{_libdir}/pkgconfig/xorg-evdev.pc
%{_includedir}/xorg/evdev-properties.h




%changelog
* Tue Feb 11 2020 umeabot <umeabot> 2.10.6-3.mga8
+ Revision: 1489143
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Sep 12 2018 wally <wally> 2.10.6-2.mga7
+ Revision: 1258596
- rebuild for aarch64

* Tue May 29 2018 tv <tv> 2.10.6-1.mga7
+ Revision: 1232916
- new release

* Fri Mar 09 2018 tv <tv> 2.10.5-2.mga7
+ Revision: 1207693
- rebuild for xserver 1.20 RC1

* Wed Jan 18 2017 tv <tv> 2.10.5-1.mga6
+ Revision: 1082222
- new release

* Sun Nov 27 2016 tv <tv> 2.10.4-4.mga6
+ Revision: 1070405
- package COPYING
- don't ship .la file
- use std macros

* Thu Nov 17 2016 tv <tv> 2.10.4-3.mga6
+ Revision: 1067723
- obsoletes x11-driver-input-keyboard + mouse

* Thu Nov 17 2016 tv <tv> 2.10.4-2.mga6
+ Revision: 1067654
- rebuild for xserver 1.19

* Tue Oct 04 2016 tv <tv> 2.10.4-1.mga6
+ Revision: 1058659
- new release

* Sat Jul 23 2016 tmb <tmb> 2.10.3-2.mga6
+ Revision: 1043332
- rebuild for xorg-server 1.18.4

* Thu Jun 02 2016 tv <tv> 2.10.3-1.mga6
+ Revision: 1019841
- new release

* Sun May 01 2016 tv <tv> 2.10.2-1.mga6
+ Revision: 1008493
- new release

* Sun Jan 10 2016 tv <tv> 2.10.1-1.mga6
+ Revision: 920962
- new release

* Wed Nov 11 2015 tv <tv> 2.10.0-4.mga6
+ Revision: 902257
- submit to core/release

* Tue Nov 10 2015 tv <tv> 2.10.0-3.mga6
+ Revision: 901407
- rebuild for new xserver

* Tue Nov 10 2015 tv <tv> 2.10.0-2.mga6
+ Revision: 901396
- rebuild for new xserver

* Thu Oct 29 2015 tv <tv> 2.10.0-1.mga6
+ Revision: 896495
- adjust file list
- BR pkgconfig(mtdev)
- new release
- new release

* Sat Jun 20 2015 tv <tv> 2.9.2-1.mga6
+ Revision: 836203
- new release

* Sat Jun 20 2015 tv <tv> 2.9.1-2.mga6
+ Revision: 835916
- rebuild for xserver 1.17

* Wed Nov 26 2014 tv <tv> 2.9.1-1.mga5
+ Revision: 799385
- new release

* Wed Oct 15 2014 umeabot <umeabot> 2.9.0-6.mga5
+ Revision: 750509
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.9.0-5.mga5
+ Revision: 690399
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 2.9.0-4.mga5
+ Revision: 634952
- submit to core/release

* Fri Jun 06 2014 tv <tv> 2.9.0-3.mga5
+ Revision: 633624
- rebuild for new xserver RC

* Fri Jun 06 2014 tv <tv> 2.9.0-2.mga5
+ Revision: 633610
- rebuild for new xserver RC

* Thu May 22 2014 tv <tv> 2.9.0-1.mga5
+ Revision: 624862
- new RC

* Tue Apr 29 2014 tv <tv> 2.8.99.1-1.mga5
+ Revision: 618814
- new release

* Tue Apr 15 2014 tv <tv> 2.8.2-4.mga5
+ Revision: 614296
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 2.8.2-3.mga5
+ Revision: 582180
- rebuild for new xserver

* Mon Oct 21 2013 umeabot <umeabot> 2.8.2-2.mga4
+ Revision: 540318
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 tv <tv> 2.8.2-1.mga4
+ Revision: 493535
- new release

* Sun Jul 14 2013 tv <tv> 2.8.1-1.mga4
+ Revision: 454114
- new release

* Thu May 30 2013 tv <tv> 2.8.0-4.mga4
+ Revision: 433093
- submit to core/release

* Fri May 24 2013 tv <tv> 2.8.0-3.mga4
+ Revision: 425673
- rebuild with xserver-1.14

* Fri May 24 2013 tv <tv> 2.8.0-2.mga4
+ Revision: 425645
- rebuild with xserver-1.14

* Thu May 23 2013 tv <tv> 2.8.0-1.mga4
+ Revision: 425565
- new release

* Mon Jan 14 2013 umeabot <umeabot> 2.7.3-3.mga4
+ Revision: 385924
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 tv <tv> 2.7.3-2.mga3
+ Revision: 288922
- rebuild for new xserver

* Tue Aug 21 2012 tv <tv> 2.7.3-1.mga3
+ Revision: 282871
- new release

* Sat Aug 04 2012 tv <tv> 2.7.2-1.mga3
+ Revision: 278434
- new release

* Tue Jul 24 2012 tv <tv> 2.7.1-1.mga3
+ Revision: 274096
- new release

* Wed Jun 06 2012 tmb <tmb> 2.7.0-4.mga3
+ Revision: 256317
- rebuild for core/release

* Fri Jun 01 2012 tmb <tmb> 2.7.0-3.mga3
+ Revision: 252904
- second rebuild for x11-server-1.12

* Wed May 30 2012 tv <tv> 2.7.0-2.mga3
+ Revision: 249819
- rebuild for new X.org server

* Fri Mar 09 2012 tv <tv> 2.7.0-1.mga2
+ Revision: 222301
- BuildRequires: udev-devel
- new release

* Tue Dec 06 2011 tmb <tmb> 2.6.0-6.mga2
+ Revision: 177436
- submit to core/release

* Sat Oct 08 2011 tv <tv> 2.6.0-5.mga2
+ Revision: 153309
- really rebuild for xserver-1.11

* Sat Oct 08 2011 tv <tv> 2.6.0-4.mga2
+ Revision: 153293
- really rebuild for xserver-1.11

* Sat Oct 08 2011 colin <colin> 2.6.0-3.mga2
+ Revision: 153026
- Rebuild for new x11-server

* Fri Mar 04 2011 tv <tv> 2.6.0-2.mga1
+ Revision: 64372
- rebuild for new xserver-1.10

* Thu Jan 20 2011 pterjan <pterjan> 2.6.0-1.mga1
+ Revision: 25638
- imported package x11-driver-input-evdev


* Tue Jan 11 2011 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 2.6.0-1mdv2011.0
+ Revision: 630935
- New version: 2.6.0

* Sun Nov 07 2010 Thierry Vignaud <tv@mandriva.org> 2.5.0-3mdv2011.0
+ Revision: 594698
- require x11-server-common in order to cheat poor env on kenobi which is 2010.x
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 2.5.0-2mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Mon Aug 23 2010 Thierry Vignaud <tv@mandriva.org> 2.5.0-1mdv2011.0
+ Revision: 572374
- new release

* Tue Apr 27 2010 Christophe Fergeau <cfergeau@mandriva.com> 2.4.0-4mdv2010.1
+ Revision: 539607
- rebuild so that shared libraries are properly stripped again

* Tue Apr 20 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 2.4.0-3mdv2010.1
+ Revision: 537222
- Add patch to prevent generating MotionEvents when mouse wheel is used

* Tue Apr 13 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 2.4.0-2mdv2010.1
+ Revision: 534193
- Obsolete imwheel

* Tue Apr 06 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 2.4.0-1mdv2010.1
+ Revision: 532062
- New version: 2.4.0

* Fri Dec 11 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 2.3.2-1mdv2010.1
+ Revision: 476545
- New version: 2.3.2

* Fri Nov 20 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 2.3.1-1mdv2010.1
+ Revision: 467624
- New version: 2.3.1
  Drop applied patch

* Thu Nov 19 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 2.3.0-3mdv2010.1
+ Revision: 467421
- Add patch to fix bug #55540. It was also committed upstream.

* Tue Nov 10 2009 Thierry Vignaud <tv@mandriva.org> 2.3.0-2mdv2010.1
+ Revision: 464331
- rebuild for new xserver

* Mon Nov 09 2009 Thierry Vignaud <tv@mandriva.org> 2.3.0-1mdv2010.1
+ Revision: 463602
- new release

* Sat Aug 22 2009 Frederik Himpe <fhimpe@mandriva.org> 2.2.5-1mdv2010.0
+ Revision: 419600
- Update to new version 2.2.5
- Use %%configure2_5x macro and remove autoreconf

* Thu Aug 06 2009 Thierry Vignaud <tv@mandriva.org> 2.2.4-1mdv2010.0
+ Revision: 410545
- new release

* Thu Jul 30 2009 Colin Guthrie <cguthrie@mandriva.org> 2.2.3-1mdv2010.0
+ Revision: 404489
- New version: 2.2.3

* Mon May 04 2009 Thierry Vignaud <tv@mandriva.org> 2.2.2-1mdv2010.0
+ Revision: 371500
- new release

* Tue Mar 31 2009 Thierry Vignaud <tv@mandriva.org> 2.2.1-1mdv2009.1
+ Revision: 362953
- new release

* Mon Mar 09 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 2.2.0-1mdv2009.1
+ Revision: 353242
- New version 2.2.0

* Tue Feb 17 2009 Colin Guthrie <cguthrie@mandriva.org> 2.1.3-1mdv2009.1
+ Revision: 341505
- New version: 2.1.3

* Mon Feb 02 2009 Colin Guthrie <cguthrie@mandriva.org> 2.1.2-1mdv2009.1
+ Revision: 336377
- New version: 2.1.2

* Tue Jan 13 2009 Colin Guthrie <cguthrie@mandriva.org> 2.1.1-1mdv2009.1
+ Revision: 328957
- New version: 2.1.1

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 2.1.0-2mdv2009.1
+ Revision: 321381
- Rebuild for new xserver
- Add the BuildRequires to the x11-server-devel instead

* Sat Nov 29 2008 Colin Guthrie <cguthrie@mandriva.org> 2.1.0-1mdv2009.1
+ Revision: 308044
- Add missing buildrequires
- New version 2.1.0

* Mon Oct 20 2008 Thierry Vignaud <tv@mandriva.org> 2.0.7-1mdv2009.1
+ Revision: 295697
- new release

* Sat Oct 11 2008 Thierry Vignaud <tv@mandriva.org> 2.0.6-1mdv2009.1
+ Revision: 291749
- new release

* Fri Sep 19 2008 Thierry Vignaud <tv@mandriva.org> 2.0.5-1mdv2009.0
+ Revision: 285906
- new release (bugfix for dead devices after resuming)

* Mon Aug 18 2008 Thierry Vignaud <tv@mandriva.org> 2.0.4-1mdv2009.0
+ Revision: 273155
- new release
- new release

* Fri Aug 01 2008 Colin Guthrie <cguthrie@mandriva.org> 2.0.3-1mdv2009.0
+ Revision: 259325
- New version: 2.0.3

* Tue Jul 15 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 2.0.2-1mdv2009.0
+ Revision: 236143
- Update to version 2.0.2.

* Mon Jun 23 2008 Colin Guthrie <cguthrie@mandriva.org> 2.0.1-2mdv2009.0
+ Revision: 228328
- Bump release (due to build system borkage)
- New version

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.0.0-1mdv2009.0
+ Revision: 222016
- new release (and drop git patches)

* Fri Jun 13 2008 Colin Guthrie <cguthrie@mandriva.org> 1.99.4-2mdv2009.0
+ Revision: 218780
- Finalize MB emulation if EvdevProbe fails. (mdv#41438)

* Wed Jun 11 2008 Colin Guthrie <cguthrie@mandriva.org> 1.99.4-1mdv2009.0
+ Revision: 217880
- New version

* Wed May 28 2008 Thierry Vignaud <tv@mandriva.org> 1.99.2-1mdv2009.0
+ Revision: 212580
- new release

* Wed May 28 2008 Thierry Vignaud <tv@mandriva.org> 1.99.1-2mdv2009.0
+ Revision: 212575
- new release

* Mon Mar 17 2008 Pixel <pixel@mandriva.com> 1.99.1-1mdv2008.1
+ Revision: 188229
- switching to git version "master" version (cf #37726)
  (patches are either upstream or now unneeded)

* Thu Feb 21 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.2.0-5mdv2008.1
+ Revision: 173744
- Cherry-pick 7f1e8146d4b13929a86a4b80f783a720c1b5573a
  More accurate error messages on device open fail.
  The message "cannot open input pEvdev" resulted in a lot of bug reports
  of confused users that did not supply a device path. Now we tell them when
  it is missing or print out a reason when device open fails.

* Wed Jan 30 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.2.0-4mdv2008.1
+ Revision: 160481
- Revert to use only upstream tarballs and only mandatory patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.2.0-3mdv2008.1
+ Revision: 156576
- re-enable rpm debug packages support

* Mon Jan 21 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.2.0-2mdv2008.1
+ Revision: 155669
- Updated BuildRequires and resubmit package.
- Dont build debug package.
  Update BuildRequires.
  Cherry pick commit b327e7f5809bccef7a8562814676f2da21e420d0 that should
  fix https://bugs.freedesktop.org/show_bug.cgi?id=12630
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Fix previous cut&paste edit. Update to generate tarball and patches from
  existing tag xf86-input-evdev-1.2.0 (that currently has no diff with master,
  so no need to remake mandriva specific branches).
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - replace HWheelRelativeAxisButtons-even-if-unused.patch with xf86-input-evdev-1.2.0-ensure-buttons-6-7-are-HWheel.patch
      (nb: this patch doesn't depend on HWheelRelativeAxisButtons being in the xorg.conf, so it may break, please report if it does)

* Mon Nov 19 2007 Thierry Vignaud <tv@mandriva.org> 1.2.0-1mdv2008.1
+ Revision: 110422
- new release

* Wed Nov 14 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.99.20071114-1mdv2008.1
+ Revision: 108704
- using version from git, since the latest release is considered
  incompatible with xserver-1.4 (!). See upstream bug #13222.
- dropping FixDuplicateArrayEntry-KeyPressedBitTests-XkbDefaults.patch
  and HWheelRelativeAxisButtons-7-6-by-default.patch (already upstream)
- dropping HWheelRelativeAxisButtons-even-if-unused.patch (code has changed
  a lot and nothing resembles the affected code from what I could see)

* Wed Oct 17 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.5-5mdv2008.1
+ Revision: 99688
+ rebuild (emptylog)

* Wed Oct 17 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.5-4mdv2008.1
+ Revision: 99604
- fix wrong conflict with x11-server

* Thu Oct 11 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.5-3mdv2008.1
+ Revision: 97209
- new release (to be built against new xserver)

* Wed Sep 19 2007 Paulo Andrade <pcpa@mandriva.com.br> 1.1.5-2mdv2008.0
+ Revision: 91063
- Possible fix for Bugzilla #32905

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages


* Wed Dec 20 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1.5-1mdv2007.0
+ Revision: 100510
- new release
- new release

* Tue Nov 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1.4-1mdv2007.1
+ Revision: 85917
- new release

* Wed Sep 13 2006 Pixel <pixel@mandriva.com> 1.1.2-7mdv2007.0
+ Revision: 60986
- the name of the evdev option is HWheelRelativeAxisButtons, not HWheelXAxisMapping
- allow setting HWheelRelativeAxisButtons in config file to tell evdev to skip those buttons. that way we can standardize on buttons 6&7 for horiz scroll, and 8&9 for thumb back/next

* Thu Aug 17 2006 Pixel <pixel@mandriva.com> 1.1.2-5mdv2007.0
+ Revision: 56465
- really apply have-HWheelRelativeAxisButtons-7-6-by-default patch

* Thu Aug 17 2006 Pixel <pixel@mandriva.com> 1.1.2-4mdv2007.0
+ Revision: 56460
- (minor) drop old source
- make the HWheel work under gtk & qt instead of being reversed
- add CVS fixes (from fedora)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix group
    - fill in summary & descriptions for all input drivers

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - Updated drivers for X11R7.1
    - increment release
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

